Skip to main content
`Ctrl`+`K`

# SNESNewtonALCorrectionType

the approach used by `SNESNEWTONAL` to determine the correction to the current increment. While the exact correction satisfies the constraint surface at every iteration, it also requires solving a quadratic equation which may not have real roots. Conversely, the normal correction is more efficient and always yields a real correction and is the default.

## Values

- `SNES_NEWTONAL_CORRECTION_EXACT` - choose the correction which exactly satisfies the constraint

- `SNES_NEWTONAL_CORRECTION_NORMAL` - choose the correction in the updated normal hyper-surface to the constraint surface

## Options Database Key

- -snes_newtonal_correction_type (exact|normal) - exactly satisfy the constraint or satisfy it on the normal hyper-surface

## See Also

`SNES`, `SNESNEWTONAL`, `SNESNewtonALSetCorrectionType()`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages